
QGIS Application - Bug report #16069

Random extract Processing test fails

2017-01-12 07:27 AM - matteo ghetta

Status: Rejected

Priority: Normal

Assignee:

Category: Tests Suite

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 23984

Description

I tested with the data in the test/processing folder (both points and polys) and also the custom/variable_buffer.gml

Tests fails both with normal features count random extraction and with percentage. 

It is a geometry related issue when comparing the data:

: + Point (111319.49079327199433 111325.1428663849947)

4:  : Features 1/0 differ in geometry: 

4: 

4:  Point (333958.47237982001388 334111.17140196001856)

4: 

4:  vs 

4: 

4:  Point (111319.49079327199433 111325.1428663849947)

tried to change the geometry precision but always the same error.

Test data are in WGS84 (points and polys) and in 3857 (custom/variable_buffer). 

No NULL values in points and custom/variable_buffer

Errors for both GML and GEOJSON output file

History

#1 - 2017-02-14 01:24 AM - matteo ghetta

NOt a bug. The test works fine.

Actually when travis run the random point they HAVE TO be different form the input test ones.

Test should be edited in some way to check some other parameter

#2 - 2017-04-27 04:28 AM - Alexander Bruy

- Resolution set to invalid

- OS version deleted (sarah)

- Operating System deleted (Linux mint)

- Status changed from Open to Rejected
